import { fetch, post } from '@/api/http'
export default {
    /**
     * 教研中心
     * 
     */
    //发表话题
    topicInitiate: function (data) {
        return post('/school/debate/upsert', data)
    },
    //所有话题
    totalTopic: function (data) {
        return post('/school/debate/find', data)
    },
    //回复话题
    replyTopic: function (data) {
        return post('/school/debate/reply', data)
    },
    //显示回复详细
    replyDetail: function (data) {
        return post('/school/debate/find-id', data)
    },
    // 删除话题
    delReply: function (data) {
        return post("/school/debate/delete", data)
    },
    // 已有的能力点
    getPoint: function (data) {
        return post("/research/ability/get-subs", data)
    },
    // 已有的能力点
    getOtherSubs: function (data) {
        return post("/research/ability/get-group-subs", data)
    },
    // 针对能力点的操作
    pointAction: function (data) {
        return post("/research/ability/sub-opt", data)
    },
    //获取能力点树状
    getztree: function (data) {
        return post('/research/ability-task/find-id', data)
    },
    // 勾选能力点
    checkPoint: function (data) {
        return post("/research/ability/save-subs", data)
    },
    //获取上传的课堂实录
    getmemoir: function (data) {
        return post('/research/class-video/opt', data)
    },
    //获取上传的课堂实录
    getAllVideo: function (data) {
        return post('/research/class-video/get-all', data)
    },
    saveVideoAppraise: function (data) {
        return post('/research/appraise/opt', data)
    },
    //获取所有能力点
    getAlltrait: function (data) {
        return post('/research/ability/find', data)
    },
    // 获取学时
    getStudyTime: function (data) {
        return post("/research/ability/statistics-self", data)
    },
    //获取老师的问卷调查
    getquestion: function (data) {
        return post('/common/TrSurvey/find-by-teacher', data)
    },
    //获取老师当前问卷信息
    getcurrents: function (data) {
        return post('/common/TrSurvey/find-summary-by-teacher', data)
    },
    /* //提交问卷
    submitquestionnaire: function (data) {
        return post('/common/survey/answer', data)
    }, */
    //提交评测
    submitExam: function (data) {
        return post('/common/ExamLite/record-in',data)
    },
    // 投票列表
    getVoteList: function (data) {
        return post("/common/TrVote/find-by-teacher", data)
    },
    // 投票信息
    getSurveyList: function (data) {
        return post("/common/TrVote/find-summary-by-teacher", data)
    },
    // 投票
    setVote: function (data) {
        return post("/common/TrVote/record-in", data)
    },
    //同组课堂实录
    getTeamclass: function (data) {
        return post('/research/class-video/get-group',data)
    },

    // 获取所有活动
    getAllActivity: function (data) {
        return post("/teacher/tec-activity", data)
    },

    // 删除不存在的投票和问卷
    delActivity: function (data) {
        return post("/teacher/delete-activity", data)
    },

    // 查询投票信息
    getVoteInfo: function (data) {
        return post('/common/vote/find-id', data)
    },

    //提交投票结果数据
    sendVoteResult: function (data) {
        return post('/common/vote/decide', data)
    },

    //查詢學生端问卷活动
    getSurveyInfo: function (data) {
        return post('/common/survey/find-id', data)
    },

    //查詢學生端问卷活动
    answerSurvey: function (data) {
        return post('/common/survey/answer', data)
    },
}